#ifndef ELESCROLL_H
#define ELESCROLL_H

#include <QWidget>

class EleScroll : public QWidget {
    Q_OBJECT
public:
    explicit EleScroll(QWidget *, QString, QJsonObject);
    explicit EleScroll(QWidget *, QString, char effect = 0, double effDur = 0.0);
    QPixmap img;
    char effect = 0;
    int interval = 0, timerId = 0, cur = 0, end = 0, curAdd = 1;

protected:
    void paintEvent(QPaintEvent *) override;
    void timerEvent(QTimerEvent *) override;
};

#endif // ELESCROLL_H
